MapTaskCompletionEventsUpdate (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class MapTaskCompletionEventsUpdate

    java.lang.Object
      org.apache.hadoop.mapred.MapTaskCompletionEventsUpdate

All Implemented Interfaces:
  Writable

    public class MapTaskCompletionEventsUpdate

extends Object
implements Writable

A class that represents the communication between the tasktracker and child tasks w.r.t the map task completion events. It also indicates whether the child task should reset its events index.

Constructor Summary
`MapTaskCompletionEventsUpdate()`
`MapTaskCompletionEventsUpdate(TaskCompletionEvent[] events, boolean reset)`

Method Summary
`TaskCompletionEvent[]` | `getMapTaskCompletionEvents()`
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`boolean` | `shouldReset()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapTaskCompletionEventsUpdate

    public MapTaskCompletionEventsUpdate()

### MapTaskCompletionEventsUpdate

    public MapTaskCompletionEventsUpdate(TaskCompletionEvent[] events,
                                         boolean reset)

Method Detail

### shouldReset

    public boolean shouldReset()

### getMapTaskCompletionEvents

    public TaskCompletionEvent[] getMapTaskCompletionEvents()

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation